%define oname xfce4-weather-plugin
 
Summary:    A weather plugin for the Xfce panel
Name:       xfce-weather-plugin
Version:    0.5.90.2
Release:    %mkrel 1
License:    BSD
URL:        http://goodies.xfce.org/releases
Source0:    xfce4-weather-plugin-%{version}.tar.bz2
Group:      Graphical desktop/Xfce
BuildRoot:  %{_tmppath}/%{name}-root
Requires:   xfce-panel >= 4.3.0
BuildRequires:  xfce-panel-devel >= 4.3.0
BuildRequires:  libxfcegui4-devel >= 4.3
BuildRequires:  perl-XML-Parser
Obsoletes: xfce-weather
Provides: xfce-weather
Obsoletes: xfce-weather-panel
Provides: xfce-weather-panel

%description
This panel plugin shows the current temperature and weather condition, 
using weather data provided by xoap.weather.com (www.weather.com).

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
 
%find_lang %{oname}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%dir %{_datadir}/xfce4/weather
%{_datadir}/xfce4/weather/*
%{_datadir}/xfce4/panel-plugins/*
%{_libdir}/xfce4/panel-plugins/
%{_iconsdir}/hicolor/48x48/apps/xfce4-weather.png


%changelog
* Tue Aug 08 2006 Charles A Edwards <eslrahc@mandriva.org> 0.5.90.2-1mdv2007
- 0.5.90.2
- update URL
- update file list

* Wed Jul 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.5.0-4mdv2007.0
- rebuild for xfce-4.3.90.2

* Fri Jun 23 2006 Charles A Edwards <eslrahc@mandriva.org> 0.5.0-3mdv2007.0
- rename .spec
- BR
- update desc

* Sun Feb 12 2006 Marcel Pol <mpol@mandriva.org> 0.5.0-2mdk
- buildrequires perl-XML-Parser

* Sat Feb 11 2006 Marcel Pol <mpol@mandrake> 0.5.0-1mdk
- 0.5.0
- require new panel >= 4.3.0
- redefine oname to xfce4-weather-plugin

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 0.4.9-1mdk
- 0.4.9
- %%mkrel
- rename xfce-weather-plugin

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.4.1-1mdk
- 0.4.1
- group: Graphical desktop/Xfce
- add language files
- remove unneeded devel files

* Fri Nov 19 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.3.9.1-1mdk
- use plugin in name
- build against new panel
- add O/P

* Wed Jun 30 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.9.1-0.1mdk
- 0.3.9.1
- update URL

* Sun May 30 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.9-1mdk
- 0.3.9
- reenable libtoolize
- update URL

* Wed Feb 18 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.0-1mdk
- first mdk pkg
  
